Update profile
curl --request PUT \
--url https://api.yume.cloud/v1/auth/profile/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"password": "<string>",
"avatar": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"ui_settings": {}
}
'import requests
url = "https://api.yume.cloud/v1/auth/profile/"
payload = {
"email": "jsmith@example.com",
"password": "<string>",
"avatar": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"ui_settings": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
password: '<string>',
avatar: '<string>',
first_name: '<string>',
last_name: '<string>',
ui_settings: {}
})
};
fetch('https://api.yume.cloud/v1/auth/profile/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"email": "jsmith@example.com",
"avatar": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}profile
Update profile
PUT
/
v1
/
auth
/
profile
/
Update profile
Авторизации
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Заголовки
Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.
Тело
application/jsonapplication/x-www-form-urlencodedmultipart/form-data